%global major_version %%(cut -d "." -f 1-2 <<<%{version})

Name:           gnome-tweak-tool
Version:        3.8.0
Release:        2%{?dist}
Summary:        A tool to customize advanced GNOME 3 options

License:        GPLv3
URL:            http://live.gnome.org/GnomeTweakTool
Source0:        http://ftp.gnome.org/pub/gnome/sources/%{name}/%{major_version}/gnome-tweak-tool-%{version}.tar.xz
# Fix RHBZ #950628 (see also https://bugzilla.gnome.org/show_bug.cgi?id=697685)
Patch0:         %{name}-3.8.0-pref.js.patch

BuildArch:      noarch
BuildRequires:  GConf2
BuildRequires:  intltool
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  desktop-file-utils
Requires:       gnome-shell
Requires:       gnome-shell-extension-user-theme
Requires:       nautilus
Requires:       pygobject3

%description
GNOME Tweak Tool is an application for changing the advanced settings
of GNOME 3.

Features:
* Install and switch gnome-shell themes
* Switch gtk/icon/cursor themes
* Switch window manager themes
* Change:
        * The user-interface and titlebar fonts
        * Icons in menus and buttons
        * Behavior on laptop lid close
        * Shell font size
        * File manager desktop icons
        * Titlebar click action
        * Shell clock to show date
        * Font hinting and antialiasing 

%prep
%setup -q
%patch0 -p1 -b .pref.js


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# Leave the desktop file validation, but don't return an error value ("Phanteon"
# value not supported yet in "OnlyShowIn" key by validator)
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop || true

%find_lang %{name}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor/ &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
  /bin/touch --no-create %{_datadir}/icons/hicolor/ &>/dev/null
  /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor/ &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{python_sitelib}/gtweak/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Sat May 25 2013 Mohamed El Morabity <pikachu.2014@gmail.com> - 3.8.0-2
- Add patch to allow pref.js for system extensions (thanks to Ralph Bean)

* Mon Apr 08 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.8.0-1
- Update to 3.8.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.7.4-1
- Update to 3.7.4
- Drop remove_lid_close_settings patch, fixed upstream
- Spec cleanup

* Fri Nov  2 2012 Michel Salim <salimma@fedoraproject.org> - 3.6.1-2
- Drop lid close configuration options that are now handled by systemd

* Tue Oct 16 2012 Kalev Lember <kalevlember@gmail.com> - 3.6.1-1
- Update to 3.6.1

* Wed Oct  3 2012 Matthias Clasen <mclasen@redhat.com> - 3.6.0-1
- Update to 3.6.0

* Wed Aug 22 2012 Richard Hughes <hughsient@gmail.com> - 3.5.5-1
- Update to 3.5.5

* Thu Aug  9 2012 Michel Salim <salimma@fedoraproject.org> - 3.5.4-1
- Update to 3.5.4

* Sun Aug  5 2012 Michel Salim <salimma@fedoraproject.org> - 3.5.0-0.1.20120717git3869087
- Update to 3.5.0 snapshot for GNOME 3.5.x compatibility

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun  4 2012 Michel Salim <salimma@fedoraproject.org> - 3.4.0.1-2
- Add R: on user theme extension (# 826129)

* Mon May 14 2012 Richard Hughes <hughsient@gmail.com> - 3.4.0.1-1
- Update to 3.4.0.1

* Mon May 14 2012 Richard Hughes <hughsient@gmail.com> - 3.4.0-1
- Update to 3.4.0

* Sat Jan 21 2012 Michel Salim <salimma@fedoraproject.org> - 3.3.4-1
- Update to 3.3.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 14 2011 Michel Salim <salimma@fedoraproject.org> - 3.2.1-1
- Update to 3.2.1

* Wed Sep 28 2011 Ray <rstrode@redhat.com> - 3.2.0-1
- Update to 3.2.0

* Thu Sep  1 2011 Michel Salim <salimma@fedoraproject.org> - 3.1.90-1
- Update to 3.1.90

* Sun Aug 21 2011 Michel Salim <salimma@fedoraproject.org> - 3.1.0-1
- Update to 3.1.0

* Tue Jul 19 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.5-2
- Depend on nautilus (# 722541)

* Thu Jun 30 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.5-1
- Update to 3.0.5
- upstream news:
  http://ftp.gnome.org/pub/GNOME/sources/gnome-tweak-tool/3.0/gnome-tweak-tool-3.0.5.news
  * autostart fixes
  * appearance improvements
  * focus follow mouse mode
  * finer-grained desktop item visibility
  * streamlined shell restart offer when enabling extensions

* Mon Jun 13 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 3.0.4-1
- Update to 3.0.4
- Dropped redundant commented out lines in spec
- Updated description
- Dropped defattr since it is set by default in recent RPM
- http://ftp.gnome.org/pub/GNOME/sources/gnome-tweak-tool/3.0/gnome-tweak-tool-3.0.4.news
  * Enables support for system wide themes
  * Supports management of shell extensions 

* Wed May  4 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.3-1
- Update to 3.0.3

* Mon Apr  4 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.0-1
- Update to 3.0.0

* Fri Mar 25 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.93-2
- Enable icon theme selection

* Fri Mar 25 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.93-1
- Update to 2.91.93

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-3
- Include license information

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-2
- Use %%configure macro
- Validate desktop file

* Mon Mar 21 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-1
- Initial package
